;
;   Module name      :	TestLogObj.au3
;
;   Description      :	None
;
;   Parameters       :	None
;   Notes - usage    :	None
;


;--- Global directives -----------------------------------------------------------------------------



Opt("TrayIconDebug", 1)

Opt("MustDeclareVars", 1)
Opt("GUICloseOnESC", 0)



;--- Include files ---------------------------------------------------------------------------------



#include <DebugUtil.au3>
#include "LogObj.au3"



;--- Global constants ------------------------------------------------------------------------------



;--- Global variables ------------------------------------------------------------------------------



global $Module_prefix = "LO"



;--- Functions code --------------------------------------------------------------------------------



func DTInvFunc()
;---
; Invalid date/time function.
;
; ret	empty string
;---
	return ""
endfunc



func DTValidFunc()
;---
; Valid date/time function.
;
; ret	a string not empty
;---
	return @MDAY & "/" & @MON & " " & @HOUR & "." & @MIN & "." & @SEC
endfunc



func PrintFooter()
;---
; Prints the ending string.
;
; ret	nothing
;---
	DURawPrint("--- End of tests (" & @HOUR & ":" & @MIN & ":" & @SEC & ") ---" & @CRLF)
endfunc



func PrintHeader()
;---
; Sets the debug Notepad window and prints the title.
;
; ret	nothing
;---
	DUInit("Test file for " & eval($Module_prefix & "_FILE_NAME") & " " & eval ($Module_prefix & "_MODULE_VER"))
	DURawPrint("--- Start of tests (" & @HOUR & ":" & @MIN & ":" & @SEC & ") ---")
endfunc



;--- Main code -------------------------------------------------------------------------------------



PrintHeader()

; Test code for LogObj.au3 starts here.

global $r, $h[$_LO_HANDLE_DIM]

#cs
global $num, $sym

$r = _LOChkPriority(0, $num, $sym)
DUPrint($r, $num, $sym)							; = 1, 0, "kern.emerg"
$r = _LOChkPriority(8, $num, $sym)
DUPrint($r, $num, $sym)							; = 1, 8, "user.emerg"
$r = _LOChkPriority(16, $num, $sym)
DUPrint($r, $num, $sym)							; = 1, 16, "mail.emerg"
$r = _LOChkPriority(168, $num, $sym)
DUPrint($r, $num, $sym)							; = 1, 168, "local5.emerg"
$r = _LOChkPriority(176, $num, $sym)
DUPrint($r, $num, $sym)							; = 1, 176, "local6.emerg"
$r = _LOChkPriority(184, $num, $sym)
DUPrint($r, $num, $sym)							; = 1, 184, "local7.emerg"

$r = _LOChkPriority(0, $num, $sym)
DUPrint($r, $num, $sym)							; = 1, 0, "kern.emerg"
$r = _LOChkPriority(1, $num, $sym)
DUPrint($r, $num, $sym)							; = 1, 1, "kern.alert"
$r = _LOChkPriority(2, $num, $sym)
DUPrint($r, $num, $sym)							; = 1, 2, "kern.crit"
$r = _LOChkPriority(5, $num, $sym)
DUPrint($r, $num, $sym)							; = 1, 5, "kern.notice"
$r = _LOChkPriority(6, $num, $sym)
DUPrint($r, $num, $sym)							; = 1, 6, "kern.info"
$r = _LOChkPriority(7, $num, $sym)
DUPrint($r, $num, $sym)							; = 1, 7, "kern.debug"

$r = _LOChkPriority(191, $num, $sym)
DUPrint($r, $num, $sym)							; = 1, 191, "local7.debug", max value
$r = _LOChkPriority(-10, $num, $sym)
DUPrint($r, $num, $sym)							; = 0, other values undefined
$r = _LOChkPriority(192, $num, $sym)
DUPrint($r, $num, $sym)							; = 0, other values undefined

$r = _LOChkPriority("kern.emerg", $num, $sym)
DUPrint($r, $num, $sym)							; = 1, 0 (= 0 * 8 + 0), "kern.emerg"; example in RFC 5424
$r = _LOChkPriority("local4.notice", $num, $sym)
DUPrint($r, $num, $sym)							; = 1, 165 (= 20 * 8 + 5), "local4.notice"; example in RFC 5424

$r = _LOChkPriority("kern.emerg", $num, $sym)
DUPrint($r, $num, $sym)							; = 1, 0 (= 0 * 8 + 0), "kern.emerg"
$r = _LOChkPriority("user.emerg", $num, $sym)
DUPrint($r, $num, $sym)							; = 1, 8 (= 1 * 8 + 0), "user.emerg"
$r = _LOChkPriority("mail.emerg", $num, $sym)
DUPrint($r, $num, $sym)							; = 1, 16 (= 2 * 8 + 0), "mail.emerg"
$r = _LOChkPriority("local5.emerg", $num, $sym)
DUPrint($r, $num, $sym)							; = 1, 168 (= 21 * 8 + 0), "local5.emerg"
$r = _LOChkPriority("local6.emerg", $num, $sym)
DUPrint($r, $num, $sym)							; = 1, 176 (= 22 * 8 + 0), "local6.emerg"
$r = _LOChkPriority("local7.emerg", $num, $sym)
DUPrint($r, $num, $sym)							; = 1, 184 (= 23 * 8 + 0), "local7.emerg"

$r = _LOChkPriority("kern.emerg", $num, $sym)
DUPrint($r, $num, $sym)							; = 1, 0 (= 0 * 8 + 0), "kern.emerg"
$r = _LOChkPriority("kern.alert", $num, $sym)
DUPrint($r, $num, $sym)							; = 1, 1 (= 0 * 8 + 1), "kern.alert"
$r = _LOChkPriority("kern.crit", $num, $sym)
DUPrint($r, $num, $sym)							; = 1, 2 (= 0 * 8 + 2), "kern.crit"
$r = _LOChkPriority("kern.notice", $num, $sym)
DUPrint($r, $num, $sym)							; = 1, 5 (= 0 * 8 + 5), "kern.notice"
$r = _LOChkPriority("kern.info", $num, $sym)
DUPrint($r, $num, $sym)							; = 1, 6 (= 0 * 8 + 6), "kern.info"
$r = _LOChkPriority("kern.debug", $num, $sym)
DUPrint($r, $num, $sym)							; = 1, 7 (= 0 * 8 + 7), "kern.debug"

$r = _LOChkPriority("local7.debug", $num, $sym)
DUPrint($r, $num, $sym)							; = 1, 191 (= 23 * 8 + 7), "local7.debug", max value
$r = _LOChkPriority("user.notice", $num, $sym)
DUPrint($r, $num, $sym)							; = 1, 13 (= 1 * 8 + 5), "user.notice", usual default priority

$r = _LOChkPriority("KERN.EMERG", $num, $sym)
DUPrint($r, $num, $sym)							; = 1, 0 (= 0 * 8 + 0), "kern.emerg"
$r = _LOChkPriority("LOCAL7.DEBUG", $num, $sym)
DUPrint($r, $num, $sym)							; = 1, 191 (= 23 * 8 + 7), "local7.debug", max value

$r = _LOChkPriority("mistake.info", $num, $sym)
DUPrint($r, $num, $sym)							; = 0, other values undefined
$r = _LOChkPriority("user.mistake", $num, $sym)
DUPrint($r, $num, $sym)							; = 0, other values undefined
#ce

#cs
global $old_opt									; Check formats in output
$old_opt = AutoItSetOption("ExpandVarStrings", 1)
DUPrint($LO_SYSLOG_DT, $LO_YMD_DT, $LO_DMY_DT, $LO_MDY_DT, LOSyslogDT())
AutoItSetOption("ExpandVarStrings", $old_opt)
#ce

#cs
DUPrint(_LOSearchStdDir($LO_DEF_INI))			; Note: put a $LO_DEF_INI in <include>; ret. value is its path
DUPrint(_LOSearchStdDir("t1.ini"))				; Note: put a "t1.ini" in script dir.; ret. value is its path
DUPrint(_LOSearchStdDir("wrong.ini"))			; = ""
#ce

#cs
global $m, $d, $p, $t							; Note: put "TestLogObj.ini" in curr dir.

$r = _LOReadIni("TestLogObj.ini", "WrongSect", $m, $d, $p, $t)
DUPrint("WrongSect", $r, $m, $d, $p, $t)		; $r = 0, other values undefined
$r = _LOReadIni("TestLogObj.ini", "i1", $m, $d, $p, $t)
DUPrint("i1", $r, $m, $d, $p, $t)				; $r = 0, other values undefined
$r = _LOReadIni("TestLogObj.ini", "i2", $m, $d, $p, $t)
DUPrint("i2", $r, $m, $d, $p, $t)				; $r = 0, other values undefined

$r = _LOReadIni("TestLogObj.ini", "if1", $m, $d, $p, $t)
DUPrint("if1", $r, $m, $d, $p, $t)				; $r = 1, $m = $LO_FILE_MODE, $d = ".", $p = 0, $t = ...
$r = _LOReadIni("TestLogObj.ini", "if2", $m, $d, $p, $t)
DUPrint("if2", $r, $m, $d, $p, $t)				; $r = 1, $m = $LO_FILE_MODE, $d = ".", $p = 0, $t = ...
$r = _LOReadIni("TestLogObj.ini", "if3", $m, $d, $p, $t)
DUPrint("if3", $r, $m, $d, $p, $t)				; $r = 0, other values undefined
$r = _LOReadIni("TestLogObj.ini", "if4", $m, $d, $p, $t)
DUPrint("if4", $r, $m, $d, $p, $t)				; $r = 0, other values undefined
$r = _LOReadIni("TestLogObj.ini", "if5", $m, $d, $p, $t)
DUPrint("if5", $r, $m, $d, $p, $t)				; $r = 1, $m = $LO_FILE_MODE, $d = ".", $p = Default, $t = ...
$r = _LOReadIni("TestLogObj.ini", "if6", $m, $d, $p, $t)
DUPrint("if6", $r, $m, $d, $p, $t)				; $r = 1, $m = $LO_FILE_MODE, $d = ".", $p = Default, $t = ...
$r = _LOReadIni("TestLogObj.ini", "if7", $m, $d, $p, $t)
DUPrint("if7", $r, $m, $d, $p, $t)				; $r = 1, $m = $LO_FILE_MODE, $d = ".", $p = 0, $t = Default
$r = _LOReadIni("TestLogObj.ini", "if8", $m, $d, $p, $t)
DUPrint("if8", $r, $m, $d, $p, $t)				; $r = 1, $m = $LO_FILE_MODE, $d = ".", $p = 0, $t = Default

$r = _LOReadIni("TestLogObj.ini", "is1", $m, $d, $p, $t)
DUPrint("is1", $r, $m, $d, $p, $t)				; $r = 1, $m = $LO_SYSLOG_MODE, $d = "d", $p = 0, $t = ...
$r = _LOReadIni("TestLogObj.ini", "is2", $m, $d, $p, $t)
DUPrint("is2", $r, $m, $d, $p, $t)				; $r = 1, $m = $LO_SYSLOG_MODE, $d = "d", $p = 0, $t = ...
$r = _LOReadIni("TestLogObj.ini", "is3", $m, $d, $p, $t)
DUPrint("is3", $r, $m, $d, $p, $t)				; $r = 0, other values undefined
$r = _LOReadIni("TestLogObj.ini", "is4", $m, $d, $p, $t)
DUPrint("is4", $r, $m, $d, $p, $t)				; $r = 0, other values undefined
$r = _LOReadIni("TestLogObj.ini", "is5", $m, $d, $p, $t)
DUPrint("is5", $r, $m, $d, $p, $t)				; $r = 1, $m = $LO_SYSLOG_MODE, $d = "d", $p = Default, $t = ...
$r = _LOReadIni("TestLogObj.ini", "is6", $m, $d, $p, $t)
DUPrint("is6", $r, $m, $d, $p, $t)				; $r = 1, $m = $LO_SYSLOG_MODE, $d = "d", $p = Default, $t = ...
$r = _LOReadIni("TestLogObj.ini", "is7", $m, $d, $p, $t)
DUPrint("is7", $r, $m, $d, $p, $t)				; $r = 1, $m = $LO_SYSLOG_MODE, $d = "d", $p = 0, $t = Default
$r = _LOReadIni("TestLogObj.ini", "is8", $m, $d, $p, $t)
DUPrint("is8", $r, $m, $d, $p, $t)				; $r = 1, $m = $LO_SYSLOG_MODE, $d = "d", $p = 0, $t = Default
#ce

#cs
$r = _LOInitFile("Err::.log", $LO_DEF_PRI, $LO_YMD_DT, $h)
DUPrint($r, $h)									; $r = $LO_FILE_ERR, $h undefined
$r = _LOInitFile("Dummy.log", "mistake.notice", $LO_YMD_DT, $h)
DUPrint($r, $h)									; $r = $LO_PRI_ERR, $h undefined
$r = _LOInitFile("Dummy.log", $LO_DEF_PRI, $LO_FUNC_DT & "NonExistant", $h)
DUPrint($r, $h)									; $r = $LO_FUNC_ERR, $h undefined
$r = _LOInitFile("Dummy.log", $LO_DEF_PRI, $LO_FUNC_DT & "DTInvFunc", $h)
DUPrint($r, $h)									; $r = $LO_FUNC_ERR, $h undefined
$r = _LOInitFile("Dummy.log", $LO_DEF_PRI, $LO_YMD_DT, $h)
DUPrint($r, $h)									; $r = $LO_NO_ERROR,
												; $h = [$LO_FILE_MODE, 13, $LO_DEF_PRI, _
												; 			["Dummy.log", $LO_YMD_DT, ""]]
$r = _LOInitFile("Dummy.log", $LO_DEF_PRI, $LO_FUNC_DT & "DTValidFunc", $h)
DUPrint($r, $h)									; $r = $LO_NO_ERROR,
												; $h = [$LO_FILE_MODE, 13, $LO_DEF_PRI, _
												;			["Dummy.log", "", "DTValidFunc"]]
$r = _LOInitFile("Dummy.log", $LO_DEF_PRI, $LO_FUNC_DT & "LOSyslogDT", $h)
DUPrint($r, $h)									; $r = $LO_NO_ERROR,
												; $h = [$LO_FILE_MODE, 13, $LO_DEF_PRI, _
												;			["Dummy.log", "", "LOSyslogDT"]]
#ce

#cs												; Note: activate a Syslog server on IP 192.168.0.1 and on
												;		Tcp name "jhportatile.dnsalias.com"
$r = _LOInitSyslog("ProtErr", $LO_DEF_PRI, $h)
DUPrint($r, $h)									; $r = $LO_PROT_ERR, $h undefined
$r = _LOInitSyslog("@192.168.123.45", $LO_DEF_PRI, $h)
DUPrint($r, $h)									; $r = $LO_NO_ERROR (invalid Udp address but no error...),
												; $h = [$LO_SYSLOG_MODE, 13, $LO_DEF_PRI, ["u", [Udp socket]]
$r = _LOInitSyslog("@192.168.0.1:99999", $LO_DEF_PRI, $h)
DUPrint($r, $h)									; $r = $LO_NO_ERROR (invalid Udp port but no error...),
												; $h = [$LO_SYSLOG_MODE, 13, $LO_DEF_PRI, ["u", [Udp socket]]
$r = _LOInitSyslog("@@192.168.123.45", $LO_DEF_PRI, $h)
DUPrint($r, $h)									; $r = $LO_SRV_ERR (invalid Tcp address), $h undefined
$r = _LOInitSyslog("@@192.168.0.1:99999", $LO_DEF_PRI, $h)
DUPrint($r, $h)									; $r = $LO_SRV_ERR (invalid Tcp port), $h undefined
$r = _LOInitSyslog("@@192.168.0.1:515", $LO_DEF_PRI, $h)
DUPrint($r, $h)									; $r = $LO_SRV_ERR (invalid Tcp port), $h undefined
$r = _LOInitSyslog("@192.168.0.1:514", "mistake.notice", $h)
DUPrint($r, $h)									; $r = $LO_PRI_ERR, $h undefined
$r = _LOInitSyslog("@192.168.0.1", $LO_DEF_PRI, $h)
DUPrint($r, $h)									; $r = $LO_NO_ERROR,
												; $h = [$LO_SYSLOG_MODE, 13, $LO_DEF_PRI, ["u", [Udp socket]]
$r = _LOInitSyslog("@jhportatile.dnsalias.com:514", $LO_DEF_PRI, $h)
DUPrint($r, $h)									; $r = $LO_NO_ERROR,
												; $h = [$LO_SYSLOG_MODE, 13, $LO_DEF_PRI, ["u", [Udp socket]]
$r = _LOInitSyslog("@@192.168.0.1", $LO_DEF_PRI, $h)
DUPrint($r, $h)									; $r = $LO_NO_ERROR,
												; $h = [$LO_SYSLOG_MODE, 13, $LO_DEF_PRI, ["t", Tcp socket]
$r = _LOInitSyslog("@@jhportatile.dnsalias.com:514", $LO_DEF_PRI, $h)
DUPrint($r, $h)									; $r = $LO_NO_ERROR,
												; $h = [$LO_SYSLOG_MODE, 13, $LO_DEF_PRI, ["t", Tcp socket]
#ce

#cs																	; Note: put "TestLogObj.ini" in curr dir.
DUPrint(LOInit($LO_INI_MODE, "wrong.ini", "dummy"), @error)			; Ret. 0, @error = $LO_INI_ERR
DUPrint(LOInit($LO_INI_MODE, "TestLogObj.ini", "SectErr"), @error)	; Ret. 0, @error = $LO_INI_ERR
DUPrint(LOInit($LO_INI_MODE, "TestLogObj.ini", "i1"), @error)		; Ret. 0, @error = $LO_INI_ERR

DUPrint(LOInit($LO_INI_MODE, "TestLogObj.ini", "if11"), @error)
						; Ret. [$LO_FILE_MODE, 13, $LO_DEF_PRI, ["IF11.log", $LO_YMD_DT, ""]], @error = 0
DUPrint(LOInit($LO_INI_MODE, "TestLogObj.ini", "if12"), @error)
						; Ret. [$LO_FILE_MODE, 165, "local4.notice", ["IF12.log", $LO_YMD_DT, ""]], @error = 0
DUPrint(LOInit($LO_INI_MODE, "TestLogObj.ini", "if13"), @error)
						; Ret. [$LO_FILE_MODE, 165, "local4.notice", ["IF13.log", $LO_YMD_DT, ""]], @error = 0
DUPrint(LOInit($LO_INI_MODE, "TestLogObj.ini", "if14"), @error)
						; Ret. [$LO_FILE_MODE, 13, $LO_DEF_PRI, ["IF14.log", "@Year", ""]], @error = 0
DUPrint(LOInit($LO_INI_MODE, "TestLogObj.ini", "if15"), @error)
						; Ret. 0, @error = $LO_FUNC_ERR
DUPrint(LOInit($LO_INI_MODE, "TestLogObj.ini", "if16"), @error)
						; Ret. [$LO_FILE_MODE, 13, $LO_DEF_PRI, ["IF16.log", "", "DTValidFunc"]], @error = 0

DUPrint(LOInit($LO_INI_MODE, "TestLogObj.ini", "is11"), @error)
						; Ret. [$LO_SYSLOG_MODE, 13, $LO_DEF_PRI, ["u", [Udp socket]]], @error = 0
DUPrint(LOInit($LO_INI_MODE, "TestLogObj.ini", "is12"), @error)
						; Ret. [$LO_SYSLOG_MODE, 13, $LO_DEF_PRI, ["t", Tcp socket]], @error = 0
DUPrint(LOInit($LO_INI_MODE, "TestLogObj.ini", "is13"), @error)
						; Ret. [$LO_SYSLOG_MODE, 165, "local4.notice", ["u", [Udp socket]]], @error = 0
DUPrint(LOInit($LO_INI_MODE, "TestLogObj.ini", "is14"), @error)
						; Ret. [$LO_SYSLOG_MODE, 165, "local4.notice", ["u", [Udp socket]]], @error = 0

DUPrint(LOInit($LO_FILE_MODE, "Dummy.log", Default, Default), @error)
						; Ret. [$LO_FILE_MODE, 13, $LO_DEF_PRI, ["Dummy.log", $LO_YMD_DT, ""]], @error = 0
DUPrint(LOInit($LO_FILE_MODE, "%TEMP%%TEMP%\Dummy.log"), @error)					
						; Ret. 0, @error = $LO_FILE_ERR
DUPrint(LOInit($LO_FILE_MODE, "%TEMP%\Dummy.log", Default, "@Year"), @error)
						; Ret. [$LO_FILE_MODE, 13, $LO_DEF_PRI, ["C:\Tmp\Dummy.log", "@Year", ""]], @error = 0

DUPrint(LOInit(999, "wrong.ini", "dummy"), @error)
						; Ret. 0, @error = $LO_MODE_ERR
#ce

#cs
$h = LOInit($LO_FILE_MODE, "Dummy.log")
DUPrint($h)								; Ret. [$LO_FILE_MODE, 13, $LO_DEF_PRI, ["Dummy.log", $LO_YMD_DT, ""]]
DUPrint(LODone($h), @error)				; Ret. = 1, @error = 0
DUPrint(LODone($h), @error)				; Ret. = 0, @error = $LO_HNDL_ERR

										; Note: activate a Syslog server on IP 192.168.0.1
$h = LOInit($LO_SYSLOG_MODE, "@192.168.0.1")
$r = $h
DUPrint($h)								; Ret. [$LO_SYSLOG_MODE, 13, $LO_DEF_PRI, ["u", [Udp socket]]]
DUPrint(LODone($h), @error)				; Ret. = 1, @error = 0
DUPrint(LODone($h), @error)				; Ret. = 1, @error = $LO_HNDL_ERR
DUPrint(LODone($r), @error)				; Ret. = 0, @error = $LO_SRV_ERR
#ce

#cs
LODone($h)
DUPrint(LOWrite($h, "t1"), @error)		; Ret. 0, @error = $LO_HNDL_ERR
$h = LOInit($LO_FILE_MODE, "Dummy.log")
DUPrint(LOWrite($h, "t1"), @error)
						; Ret. 1, @error = $LO_NO_ERROR, on log:
						; "YYYY-MM-DD hh:mm:ss ComputerName TestLogObj.au3[Pid]: t1"
DUPrint(LOWrite($h, "t2", Default), @error)
						; Ret. 1, @error = $LO_NO_ERROR, on log:
						; "YYYY-MM-DD hh:mm:ss ComputerName TestLogObj.au3[Pid]: t2"
DUPrint(LOWrite($h, "t3", "tag"), @error)
						; Ret. 1, @error = $LO_NO_ERROR, on log:
						; "YYYY-MM-DD hh:mm:ss ComputerName TestLogObj.au3[Pid]: tag: t3"
DUPrint(LOWrite($h, "t4", Default, 165), @error)
						; Ret. 1, @error = $LO_NO_ERROR, on log:
						; "YYYY-MM-DD hh:mm:ss ComputerName TestLogObj.au3[Pid]: [pri="local4.notice"] t4"
DUPrint(LOWrite($h, "t5", Default, "local4.notice"), @error)
						; Ret. 1, @error = $LO_NO_ERROR, on log:
						; "YYYY-MM-DD hh:mm:ss ComputerName TestLogObj.au3[Pid]: [pri="local4.notice"] t5"
DUPrint(LOWrite($h, "t6", Default, 192), @error)
						; Ret. 1, @error = $LO_PRI_ERR, on log:
						; "YYYY-MM-DD hh:mm:ss ComputerName TestLogObj.au3[Pid]: t6"
DUPrint(LOWrite($h, "t7", Default, "mistake.info"), @error)
						; Ret. 1, @error = $LO_PRI_ERR, on log:
						; "YYYY-MM-DD hh:mm:ss ComputerName TestLogObj.au3[Pid]: t7"
DUPrint(LOWrite($h, "t8", Default, 13), @error)
						; Ret. 1, @error = $LO_NO_ERROR, on log:
						; "YYYY-MM-DD hh:mm:ss ComputerName TestLogObj.au3[Pid]: t8"
DUPrint(LOWrite($h, "t9", Default, $LO_DEF_PRI), @error)
						; Ret. 1, @error = $LO_NO_ERROR, on log:
						; "YYYY-MM-DD hh:mm:ss ComputerName TestLogObj.au3[Pid]: t9"
DUPrint(LODone($h), @error)
						; Ret. = 1, @error = $LO_NO_ERROR

$h = LOInit($LO_FILE_MODE, "Dummy.log", Default, $LO_FUNC_DT & "LOSyslogDT")
DUPrint(LOWrite($h, "t10"), @error)
						; Ret. 1, @error = $LO_NO_ERROR, on log:
						; "MMM DD hh:mm:ss ComputerName TestLogObj.au3[Pid]: t10"
DUPrint(LODone($h), @error)
						; Ret. = 1, @error = $LO_NO_ERROR
#ce

#cs
													; Note: activate a Syslog server on IP 192.168.0.1
LODone($h)
DUPrint(LOWrite($h, "t1"), @error)					; Ret. 0, @error = $LO_HNDL_ERR
$h = LOInit($LO_SYSLOG_MODE, "@@192.168.0.1:514")	; To test Udp protocol use "@", for Tcp use "@@"
DUPrint($h, @error)		; $h = [$LO_SYSLOG_MODE, 13, $LO_DEF_PRI, [Prot. type, Socket], @error = $LO_NO_ERROR
DUPrint(LOWrite($h, "t1"), @error)
						; Ret. 1, @error = $LO_NO_ERROR, on Syslog:
						; "Timestamp ComputerName TestLogObj.au3[Pid]: t1"
DUPrint(LOWrite($h, "t2", Default), @error)
						; Ret. 1, @error = $LO_NO_ERROR, on Syslog:
						; "Timestamp ComputerName TestLogObj.au3[Pid]: t2"
DUPrint(LOWrite($h, "t3", "tag"), @error)
						; Ret. 1, @error = $LO_NO_ERROR, on Syslog:
						; "Timestamp ComputerName TestLogObj.au3[Pid]: tag: t3"
DUPrint(LOWrite($h, "t4", Default, 21), @error)
						; Ret. 1, @error = $LO_NO_ERROR, on Syslog /var/log/maillog:
						; "Timestamp ComputerName TestLogObj.au3[Pid]: t4"
DUPrint(LOWrite($h, "t5", Default, "mail.notice"), @error)
						; Ret. 1, @error = $LO_NO_ERROR, on Syslog /var/log/maillog:
						; "Timestamp ComputerName TestLogObj.au3[Pid]: t5"
DUPrint(LOWrite($h, "t6", Default, 192), @error)
						; Ret. 1, @error = $LO_PRI_ERR, on Syslog:
						; "Timestamp ComputerName TestLogObj.au3[Pid]: t6"
DUPrint(LOWrite($h, "t7", Default, "mistake.info"), @error)
						; Ret. 1, @error = $LO_PRI_ERR, on Syslog:
						; "Timestamp ComputerName TestLogObj.au3[Pid]: t7"
DUPrint(LOWrite($h, "t8", Default, 13), @error)
						; Ret. 1, @error = $LO_NO_ERROR, on Syslog:
						; "Timestamp ComputerName TestLogObj.au3[Pid]: t8"
DUPrint(LOWrite($h, "t9", Default, $LO_DEF_PRI), @error)
						; Ret. 1, @error = $LO_NO_ERROR, on Syslog:
						; "Timestamp ComputerName TestLogObj.au3[Pid]: t9"
DUPrint(LODone($h), @error)
						; Ret. = 1, @error = $LO_NO_ERROR
#ce

#cs
LODone($h)
DUPrint(LOWriteArray($h, "t1"), @error)		; Ret. 0, @error = $LO_ARRAY_ERR
global $a[3] = ["row1", "row two", "third row"]
DUPrint(LOWriteArray($h, $a), @error)		; Ret. 0, @error = $LO_HNDL_ERR
$h = LOInit($LO_FILE_MODE, "Dummy.log")
DUPrint(LOWriteArray($h, $a), @error)
						; Ret. 1, @error = $LO_NO_ERROR, on log:
						; "YYYY-MM-DD hh:mm:ss ComputerName TestLogObj.au3[Pid]: row1"
						; "YYYY-MM-DD hh:mm:ss ComputerName TestLogObj.au3[Pid]: row two"
						; "YYYY-MM-DD hh:mm:ss ComputerName TestLogObj.au3[Pid]: third row"
DUPrint(LOWriteArray($h, $a, "pre-"), @error)
						; Ret. 1, @error = $LO_NO_ERROR, on log:
						; "YYYY-MM-DD hh:mm:ss ComputerName TestLogObj.au3[Pid]: pre-row1"
						; "YYYY-MM-DD hh:mm:ss ComputerName TestLogObj.au3[Pid]: pre-row two"
						; "YYYY-MM-DD hh:mm:ss ComputerName TestLogObj.au3[Pid]: pre-third row"
DUPrint(LOWriteArray($h, $a, "pre-", "_post"), @error)
						; Ret. 1, @error = $LO_NO_ERROR, on log:
						; "YYYY-MM-DD hh:mm:ss ComputerName TestLogObj.au3[Pid]: pre-row1_post"
						; "YYYY-MM-DD hh:mm:ss ComputerName TestLogObj.au3[Pid]: pre-row two_post"
						; "YYYY-MM-DD hh:mm:ss ComputerName TestLogObj.au3[Pid]: pre-third row_post"
DUPrint(LOWriteArray($h, $a, Default, "_post"), @error)
						; Ret. 1, @error = $LO_NO_ERROR, on log:
						; "YYYY-MM-DD hh:mm:ss ComputerName TestLogObj.au3[Pid]: row1_post"
						; "YYYY-MM-DD hh:mm:ss ComputerName TestLogObj.au3[Pid]: row two_post"
						; "YYYY-MM-DD hh:mm:ss ComputerName TestLogObj.au3[Pid]: third row_post"
DUPrint(LOWriteArray($h, $a, "A-", "-B", "T", "local7.debug"), @error)
				; Ret. 1, @error = $LO_NO_ERROR, on log:
				; "YYYY-MM-DD hh:mm:ss ComputerName TestLogObj.au3[Pid]: [pri="local7.debug"] T: A-row1-B"
				; "YYYY-MM-DD hh:mm:ss ComputerName TestLogObj.au3[Pid]: [pri="local7.debug"] T: A-row two-B"
				; "YYYY-MM-DD hh:mm:ss ComputerName TestLogObj.au3[Pid]: [pri="local7.debug"] T: A-third row-B"
DUPrint(LODone($h), @error)
						; Ret. = 1, @error = $LO_NO_ERROR
#ce

; Test code for LogObj.au3 ends here.

PrintFooter()
